<?php
/*
 * PiAnoS (Picture Annotation System), A fingerprint examiner training tool
 * Copyright (C) 2011-2021 University of Lausanne, Switzerland
 * https://ips-labs.unil.ch/pianos
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.
 */
require_once ( "Pianos4.php" );
require_once ( "TE/Driver.php" );
require_once ( "TE/AppDB.php" );

class Pianos4_TE extends Pianos4
{
    protected function createDefaultSettings()
    {
        $ret = parent::createDefaultSettings();
        return $ret;
    }
    protected function registerDrivers()
    {
        $this->registerDriver( new MainDriver_TE() );
    }
    protected function createDatabaseInstance()
    {
        return new AppDB_TE();
    }
}
